## pyke 1.1.1

=== debian/changelog ===
pyke (1.1.1-5) unstable; urgency=medium

  * Update for wxPython 3.0 (Closes: #759077)
  * debian/control
    - Bump python-wxgtk to 3.0 in Build-Depends and Suggests.
    - Bump debhelper B-D to >=9.
    - Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/compat
    - Bump debhelper compatibility level to 9.
  * debian/copyright
    - Update copyright years
    - Fix duplicate field copyright
  * debian/patches/08_wxpython3.0.patch
    - Update for wxPython 3.0. Thanks to Olly Betts for report and patch.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 18 Sep 2014 18:39:17 +0200

pyke (1.1.1-4) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andrew Starr-Bochicchio ]
  * Drop python-support in favor of dh_python2.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 31 Aug 2014 14:10:41 -0700

pyke (1.1.1-3) unstable; urgency=low

  [ Daniele Tricoli ]
  * debian/control
    - Dropped alternative dependency on python-wxgtk2.6 (Closes: #645893) 
  * debian/copyright
    - Fixed lintian warning about missing license paragraph

  [ Jakub Wilk ]
  * Correct metadata version in egg-info files (to work around bug #645125).

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 19 Oct 2011 21:10:48 +0200

pyke (1.1.1-2) unstable; urgency=low

  * debian/control
    - Removed Chris and added Debian Python Modules Team to Maintainer
    - Added myself to Uploaders (Closes: #590777)
    - Switched Vcs-* fields to DPMT subversion repository
    - Bumped Standards-Version to 3.9.2 (no changes needed)
    - Dropped Breaks fields: package pyke was never part of a stable
      release so they are not needed in python-pyke
    - Switched to python-all as build-dep to build pyke for all supported
      python versions
    - Moved python-setuptools and python-support from Build-Depends-Indep
      to Build-Depends
    - Added python-nose, python-wxgtk2.{6,8} as build-dep to run tests at
      build time
    - Added rest2web as build-dep to build documentation
    - Added python-ply (>= 3.4) as build-dep to be able to use dh_python-ply
      and added ${python-ply:Depends} dependency
  * debian/python-pyke-doc.docs
    - Renamed pyke-doc.docs to python-pyke-doc.docs
  * debian/python-pyke-doc.doc-base
    - Registered documentation provided by python-pyke-doc using doc-base
  * debian/python-pyke-doc.links
    - Provided symlinks to documentation inside /usr/share/doc/python-pyke so
      users won't have to remember whether the documentation was split into a
      separate package or not
  * debian/python-pyke.docs
    - Added README.txt
  * debian/rules
    - Added override_dh_installchangelogs to install the upstream changelog:
      RELEASE_NOTES-1.txt
    - Added override_dh_installdocs to build documentation from source
    - Added override_dh_auto_test to run doctests at build time using
      python-nose
    - Added override_dh_auto_configure to:
       1. Remove embedded copy of python-ply from the package. Thanks to
          Jakub Wilk for the report. (Closes: #555363)
       2. Regenerate python-ply cached tables
       3. Set proper debug path inside python-ply generated tables
    - Added override_dh_gencontrol to use dh_python-ply
    - Added override_dh_examples to not ship testall.config files. They
      are used by doctest-tools which is not packaged for Debian
  * debian/clean
    - Added to remove python-ply cached tables shipped in upstream tarball
  * debian/copyright
    - Made DEP5 compliant
  * debian/patches/01-fixed-hardcoded-path-in-doctest.patch
    - Change a hardcoded path in a doctest to a path that is guaranteed
      to exist on a POSIX system
  * debian/patches/02_fix-insecure-temporary-file-use.patch
    - Use mktemp to create temporary file
  * debian/patches/03_use-sed-instead-of-ed.patch
    - Use sed instead of ed to strip target links
  * debian/patches/04_fix-shorter-float-repr.patch
    - Added patch by Jakub Wilk using docstring substitution
  * debian/patches/05_do-not-use-embedded-ply.patch
    - Do not use embedded copy of python-ply
  * debian/patches/06_remove-tracking-javascript-and-remote-images.patch
    - Remove tracking javascript code and remote images
  * debian/patches/07_disable_check_tables.patch
    - Added patch by Jakub Wilk to skip check_tables: python-ply tables are
      regenerated at built time
  * debian/source/options
    - Added extend-diff-ignore = "(^|/)doc/html/" not generate diff for changes
      inside doc/html/: these changes are due to
      06_remove-tracking-javascript-and-remote-images.patch and are wanted

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 12 Jul 2011 20:18:50 +0200

pyke (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Move to '3.0 (quilt)' source format.
  * Bump Standards-Version to 3.9.1.
  * Prefer Breaks over Conflicts.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Aug 2010 17:20:23 -0400

pyke (1.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #556530)
  * Update debian/watch to find .zip releases.
  * Bump Build-Depends on debhelper to 7.0.50~ for override_* targets.
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Dec 2009 01:16:24 +0000

pyke (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1.
  * Remove text files /usr/pyke after building.
  * Use embedded version of python-ply so that we do not have to depend on a
    particular version.
    - Update debian/copyright.
    - Drop Depends: on python-ply.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 May 2009 23:17:52 +0100

pyke (0.7-1) unstable; urgency=low

  * New upstream release.
  * Update addresses for Git repositories.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Feb 2009 12:14:55 +0000

pyke (0.6-2) unstable; urgency=low

  * Add python-ply to Depends of python-pyke. Thanks to Piotr Ożarowski
    (piotr).

