=== debian/control ===
Source: pyke
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-nose,
               python-ply (>= 3.4),
               python-setuptools,
               python-wxgtk3.0,
               rest2web,
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyke/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyke/trunk/
Homepage: http://pyke.sourceforge.net/

Package: python-pyke
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${python-ply:Depends}
Suggests: python-wxgtk3.0
Description: Prolog-inspired Python logic programming toolkit
 Pyke introduces a form of Logic Programming (inspired by Prolog) to Python by
 providing a knowledge-based inference engine (or "expert system").
 .
 Unlike Prolog, Pyke integrates with Python code allowing one to invoke Pyke
 from Python and intermingle Python statements and expressions within your
 expert system rules.

Package: python-pyke-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Prolog-inspired Python logic programming toolkit (documentation)
 Pyke introduces a form of Logic Programming (inspired by Prolog) to Python by
 providing a knowledge-based inference engine (or "expert system").
 .
 Unlike Prolog, Pyke integrates with Python code allowing one to invoke Pyke
 from Python and intermingle Python statements and expressions within your
 expert system rules.
 .
 This package contains the HTML documentation for Pyke.
