=== debian/watch ===
version=2
http://sf.net/pyke/pyke-(.+)\.(tar\.gz|zip)
